Page MenuHomePhabricator

Create a report interface for PageAssessments
Closed, ResolvedPublic8 Story Points

Description

Once we have the WikiProject assessment data in the database, it would be nice to have a dedicated report interface for it. Something similar to:
https://tools.wmflabs.org/enwp10/cgi-bin/list2.fcgi?run=yes&projecta=Philosophy&importance=Top-Class&quality=Start-Class

This would be implemented as a Special page (Special:PageAssessments). The initial view would be a form (see https://www.mediawiki.org/wiki/HTMLForm) that allows the user to enter the following parameters:

  • Project
  • Page namespace
  • Page title

(No filtering by importance or quality yet.) The interface should be able to accept any combination of these inputs.

The results should be output as a table with the following info: Project, Page, Importance, Class, Timestamp. The Page Name should link to the current version of the page and the Timestamp should link to the specific revision that was assessed. The results should be paginated with the TablePager class (https://www.mediawiki.org/wiki/Manual:Pager.php).

Event Timeline

kaldari created this task.Dec 4 2015, 7:33 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 4 2015, 7:33 PM
kaldari moved this task from Untriaged to Epic backlog on the Community-Tech board.Dec 4 2015, 7:33 PM
DannyH triaged this task as Normal priority.Dec 22 2015, 8:18 PM
DannyH added a project: WikiProject-tools.
DannyH set Security to None.
kaldari updated the task description. (Show Details)Jun 4 2016, 1:25 AM
kaldari updated the task description. (Show Details)Jun 4 2016, 1:32 AM
kaldari moved this task from Epic backlog to To be estimated/discussed on the Community-Tech board.
DannyH set the point value for this task to 8.
Titoxd added a subscriber: Titoxd.Aug 31 2016, 7:24 PM
Samwilson edited projects, added Community-Tech-Sprint; removed Community-Tech.
Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.
kaldari updated the task description. (Show Details)Nov 30 2016, 6:13 PM
kaldari updated the task description. (Show Details)

Should the namespace search field exclude/include non-talk namespaces based on $wgPageAssessmentsOnTalkPages? (i.e. if assessments are only allowed on talk pages, only show talk namespaces in the dropdown.)

@Samwilson: You don't need to worry about $wgPageAssessmentsOnTalkPages. That's only for telling PageAssessments where to look for assessments. The namespace search field should always exclude talk pages, however, since talk pages are never assessed.

I was under the impression that only pages in Main namespace are ever assessed.

@Niharika: Categories, Portals, Project pages, and Templates can also be "assessed" by WikiProjects, although such assessments normally don't include class or importance ratings and are really just statements that they are under the purview of a project. See, for example, this query. We basically want to match the behavior of that page, which supports queries for all non-Talk namespaces.

I ran a quick query for distinct namespaces for 8 million pages in page_assessments table:

MariaDB [enwiki_p]> select distinct page_namespace from (select * from page_assessments limit 8000000) p1 join page p2 on p1.pa_page_id=p2.page_id;
+----------------+
| page_namespace |
+----------------+
|              0 |
|            100 |
|              4 |
|             12 |
|             10 |
|              6 |
|             14 |
|              2 |
|            118 |
|              8 |
|            108 |
|            710 |
|            828 |
+----------------+
13 rows in set (3 min 2.43 sec)

Change 324657 had a related patch set uploaded (by Samwilson):
Add new special page for searching assessments

https://gerrit.wikimedia.org/r/324657

Hm, it sounds like it's not very performant to query for the namespaces with assessments then. It won't shorten the list by all that much anyway. The patch I've just submitted (which isn't ready for review) just shows subject namespaces.

Other question: is it worth having autocomplete on the project and page name fields? Alternatively, do we want to support the regex searching that the enwp10 tool does?

Let's save auto-complete for a follow-up. I don't think the regex searching is that important, so we can skip that too.

Okay, sure.

In that case I'd love you to have a look at what I've done so far as see if it's on the right track. Searching, sorting, and transcluding should all be functioning.

The project and page title searches are case-sensitive at the moment; is this okay?

Change 324657 merged by jenkins-bot:
Add new special page for searching assessments

https://gerrit.wikimedia.org/r/324657

kaldari closed this task as Resolved.Dec 5 2016, 7:34 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.